Table of Contents

Class: Time | Twisted-0.17.4/twisted/python/delay.py
--- | ---

I am a list of events which will happen at particular points in time.

Methods |
--- | ---
__getstate__ __init__ __repr__ runEverything runLater runUntilCurrent timeout
| __getstate__

    __getstate__ ( self )

Save state by storing all callback timeouts as differences from the current time.

| __init__

    __init__ ( self )

| __repr__

    __repr__ ( self )

| runEverything

    runEverything ( self )

| runLater

    runLater (
            self,
            seconds,
            func,
            *args,
            *kw,
            )

Run an event a specified number of seconds later.

| runUntilCurrent

    runUntilCurrent ( self )

IDelayed.runUntilCurrent

| timeout

    timeout ( self )

IDelayed.timeout

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:23 2002 by HappyDoc version 2.0